package com.bocloud.ims.service.utils;

import org.springframework.stereotype.Component;

import com.bocloud.common.model.License;
import com.bocloud.service.core.CurrentService;
import com.bocloud.service.license.LicenseDaemon;

@Component
public class LicenseSerivce {

	private final LicenseDaemon licenseDaemon;

	public LicenseSerivce(CurrentService currentService) {
		this.licenseDaemon = LicenseDaemon.instance(currentService);
	}

	public License license() {
		return licenseDaemon.content();
	}
}
